<ng-container *ngIf="type === 'YOUTUBE'">
	<img
		class="sizing"
		*ngIf="!youtubeUrl && placeholder"
		draggable="false"
		[src]="link?.image || placeholder"
		(click)="loadYoutubeVideo()"
	/>
	<iframe class="sizing" *ngIf="youtubeUrl" [src]="youtubeUrl" frameborder="0" allowfullscreen (onload)="resizeIframe(this)"></iframe>
</ng-container>

<ng-container *ngIf="type === 'LINK'">
	<img class="sizing" *ngIf="link?.image || placeholder" draggable="false" [src]="link?.image || placeholder" />
	<h6 class="site" *ngIf="link?.siteDecrypted">{{ link?.siteDecrypted }}</h6>
	<a
		class="title url-highlight"
		*ngIf="link?.titleDecrypted && link?.urlDecrypted"
		target="_blank"
		rel="noopener noreferrer"
		[href]="link?.urlDecrypted"
		>{{ link?.titleDecrypted }}</a
	>
	<span class="description" *ngIf="link?.descriptionDecrypted">{{ link?.descriptionDecrypted }}</span>
</ng-container>
